//
#include "PowerSwitch.h"
//
CPowerSwitch::CPowerSwitch(int pin)
{
  FPin = pin;
  FState = "Undefined";
}
//
String CPowerSwitch::GetState(void)
{
  return FState;
}
//
bool CPowerSwitch::Open(void)
{
  pinMode(FPin, OUTPUT);
  SwitchOff();
  return true;
}
bool CPowerSwitch::Close(void)
{
  SwitchOff();  
  FState = "Undefined";
  pinMode(FPin, INPUT);
  return true;
}
//
void CPowerSwitch::SwitchOn(void)
{
  digitalWrite(FPin, HIGH);
  FState = "On";
}
void CPowerSwitch::SwitchOff(void)
{
  digitalWrite(FPin, LOW);
  FState = "Off";
}
//
